#include <stdio.h>
#include <stdlib.h>
#include <assert.h>

#include "ensemble.h"
#include "chaine.h"

// exo 2
int main(int argc, char **argv)
{
	ENSEMBLE ligne;
	FILE *f;
	
	if(argc != 2)
	{
		printf("usage: %s fichier texte\n", argv[0]);
		return 1;
	}
	
	f= fopen(argv[1], "rt");
	if(f==NULL)
	{
		printf("  -- impossible d'ouvrir le fichier '%s'\n", argv[1]);
		return 1;
	}
	
	//
	ensemble_init(&ligne);
	while(chaine_lire(&ligne, f) != -1)
	{
		chaine_afficher(&ligne); 
		printf("\n");
		
		ensemble_vider(&ligne);
	}
	
	//
	fclose(f);
	ensemble_detruire(&ligne);
	
	return 0;
}

